summaryrefslogtreecommitdiffstats
path: root/abuse_sdl
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-06 18:43:16 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-06 18:43:16 +0000
commit34a69bde22cf867f74e936511918975dad68cb18 (patch)
tree883cb3c238570e31b6461e213e8f269cee3babe5 /abuse_sdl
parent045ef5106c1c16ff1b3d20457a530c07a1aa0e18 (diff)
downloadasb-34a69bde22cf867f74e936511918975dad68cb18.tar.gz
asb-34a69bde22cf867f74e936511918975dad68cb18.tar.xz
Initial revision
Diffstat (limited to 'abuse_sdl')
-rwxr-xr-xabuse_sdl/build/abuse_sdl.SlackBuild168
-rw-r--r--abuse_sdl/build/abuse_sdl.datadir.patch11
-rw-r--r--abuse_sdl/build/slack-desc19
3 files changed, 198 insertions, 0 deletions
diff --git a/abuse_sdl/build/abuse_sdl.SlackBuild b/abuse_sdl/build/abuse_sdl.SlackBuild
new file mode 100755
index 00000000..b631e614
--- /dev/null
+++ b/abuse_sdl/build/abuse_sdl.SlackBuild
@@ -0,0 +1,168 @@
+#!/bin/sh
+#
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@sox.homeip.net>
+# For: abuse_sdl
+# URL: http://www.labyrinth.net.au/~trandor/abuse/
+# Needs:
+# Changelog:
+# 0.7.0-1: 24/May/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+# 0.7.0-2: 25/May/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Remove hard-coded references in the source to '/usr/local'
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=abuse_sdl
+DATAPKG=abuse_datafiles
+VERSION=0.7.0
+ARCH=${ARCH:-i486}
+BUILD=2
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xzvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+
+cd ${PRGNAM}-${VERSION}
+
+# Get rid of stale '/usr/local' strings
+patch -p0 < $CWD/${PRGNAM}.datadir.patch
+sed -i -e 's#/usr/local#/usr#g' README
+
+chown -R root:root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+# Copy in the game's datafiles
+mkdir -p $PKG/usr/share/games/abuse
+tar -C $PKG/usr/share/games/abuse/ -zxvf $CWD/${DATAPKG}.tar.gz
+chown -R root:root $PKG/usr/share/games/abuse/
+
+
+# --- DOCUMENTATION ---
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO gamma.lsp"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/abuse_sdl/build/abuse_sdl.datadir.patch b/abuse_sdl/build/abuse_sdl.datadir.patch
new file mode 100644
index 00000000..8b8c500e
--- /dev/null
+++ b/abuse_sdl/build/abuse_sdl.datadir.patch
@@ -0,0 +1,11 @@
+--- ./src/sdlport/setup.cpp.org 2005-05-25 20:05:50.000000000 +0200
++++ ./src/sdlport/setup.cpp 2005-05-25 20:06:04.000000000 +0200
+@@ -72,7 +72,7 @@
+ if( (fd = fopen( rcfile, "w" )) != NULL )
+ {
+ fputs( "; Abuse-SDL Configuration file\n\n", fd );
+- fputs( "; Location of the datafiles\ndatadir=/usr/local/share/games/abuse\n\n", fd );
++ fputs( "; Location of the datafiles\ndatadir=/usr/share/games/abuse\n\n", fd );
+ fputs( "; Startup fullscreen\nfullscreen=0\n\n", fd );
+ fputs( "; Use DoubleBuffering\ndoublebuf=0\n\n", fd );
+ fputs( "; Use mono audio only\nmono=0\n\n", fd );
diff --git a/abuse_sdl/build/slack-desc b/abuse_sdl/build/slack-desc
new file mode 100644
index 00000000..9862a1bc
--- /dev/null
+++ b/abuse_sdl/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+abuse_sdl: abuse_sdl (side-scroller game)
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl:
+abuse_sdl: abuse_sdl lives at http://www.labyrinth.net.au/~trandor/abuse/
+abuse_sdl: